%define glib2_version 2.6.0
%define pango_version 1.8.0
%define gtk2_version 2.6.0
%define libgnomeui_version 2.6.0
%define libgnomeprint_version 2.2.0
%define libgnomeprintui_version 2.2.0
%define desktop_file_utils_version 0.9
%define nautilus_version 2.22.1
%define gnome_doc_utils_version 0.3.2

Summary:	Tool for viewing and creating archives
Name:		file-roller
Version:	2.28.2
Release: 	6%{?dist}
License:	GPLv2+
Group:		Applications/Archiving
URL:		http://download.gnome.org/sources/file-roller/
Source:		http://download.gnome.org/sources/file-roller/2.28/file-roller-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libglade2-devel
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: libtool
BuildRequires: gettext
BuildRequires: libSM-devel
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: GConf2-devel
BuildRequires: scrollkeeper
BuildRequires: intltool

Requires(post): scrollkeeper
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

Requires(postun): scrollkeeper

Requires: GConf2

# The context menu API changed in 2.2.0:
Conflicts: nautilus < 2.2.0

# upstream fix
Patch0: file-roller-arj-crash.patch

# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=552194
Patch1: fileroller-translations.patch
Patch2: fileroller-translations2.patch

# Crash extracting to gvfs folder with drag and drop
# https://bugzilla.redhat.com/show_bug.cgi?id=590266
# http://bugzilla.gnome.org/show_bug.cgi?id=617769
Patch3: file-roller-2.28.2-gvfs-fuse.patch

# upstream fix
# https://bugzilla.redhat.com/show_bug.cgi?id=589550
Patch4: file-roller-fix7z.patch

%description
File Roller is an application for creating and viewing archives files,
such as tar or zip files.

%prep
%setup -q
%patch0 -p1 -b .arj-crash
%patch1 -p1 -b .translations
%patch2 -p2 -b .translations2
%patch3 -p1 -b .gvfs-fuse
%patch4 -p1 -b .fix7z

%build
%configure --disable-scrollkeeper --disable-static
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export tagname=CC
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --remove-only-show-in=GNOME                               \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

rm -f $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.{a,la}

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/file-roller.schemas 2>&1 >/dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/file-roller.schemas 2>&1 >/dev/null
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/file-roller.schemas 2>&1 >/dev/null
fi

%postun
update-desktop-database &> /dev/null || :
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING NEWS AUTHORS
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/gnome-file-roller.desktop
%{_sysconfdir}/gconf/schemas/file-roller.schemas
%{_libdir}/nautilus/extensions-2.0/libnautilus-fileroller.so
%{_libexecdir}/file-roller
%{_datadir}/icons/hicolor/*/apps/file-roller.png
%{_datadir}/icons/hicolor/scalable/apps/file-roller.svg


%changelog

